GET /v2/projects/:project_id/project_sessions/graph(/on/:field(/by/:interval))
Return grouped temporal data on project sessions
GET /v2/project_sessions/graph(/on/:field(/by/:interval))
Return grouped temporal data on project sessions
Count all occurences on a particular field (default on created_at) by a particular period, starting from the first occurence to now.
settings Params
| Param name | Description |
|---|---|
| field |
optional
. Must be one of: created_at, updated_at, begin_at, end_at.
The date field to graph on. Default to |
| interval |
optional
. Must be one of: day, week, month, quarter, year, hour_of_day, day_of_week, day_of_month, month_of_year.
The interval to graph by. Default to |
| sort |
optional
. Must be one of: id, project_id, campus_id, cursus_id, estimate_time, created_at, updated_at, begin_at, end_at, max_people, duration_days, terminating_after, solo, is_subscriptable, minimum_mark, team_behaviour, commit, difficulty, description, objectives, divisor.
The sort field. Sorted by id desc by default. MoreExample:To sort on project sessions on the fields objectives on a descending order and divisor on a ascending order: ...&sort=-objectives,divisor |
| filter |
optional
. Must be one of: id, project_id, campus_id, cursus_id, estimate_time, created_at, updated_at, begin_at, end_at, max_people, duration_days, terminating_after, solo, is_subscriptable, team_behaviour, difficulty, future, end.
Filtering on one or more fields MoreExample:
To filter on project sessions with the
...&filter[id]=a_value,another_value Filterable fields:
|
| range |
optional
. Must be one of: id, project_id, campus_id, cursus_id, estimate_time, created_at, updated_at, begin_at, end_at, max_people, duration_days, terminating_after, solo, is_subscriptable, team_behaviour, difficulty.
Select on a particular range MoreExample:
To range on project sessions with the
...&range[difficulty]=min_value,max_value Rangeable fields:
|
Examples
GET /v2/project_sessions/graph/on/created_at/by/day
200
{
"2017-11-22": 5
}
curl -H "Authorization: Bearer YOUR_ACCESS_TOKEN" "https://api.intra.42.fr/v2/project_sessions/graph/on/created_at/by/day"
{
"2017-11-22": 5
}
require "oauth2"
UID = "Your application uid"
SECRET = "Your application secret"
client = OAuth2::Client.new(UID, SECRET, site: "https://api.intra.42.fr")
token = client.client_credentials.get_token
response = token.get("/v2/project_sessions/graph/on/created_at/by/day")
response.status
# => 200
response.parsed
# => {"2017-11-22"=>5}